# /api/cnd/get

The `/api/cnd/get` endpoint is used for fetching data from our [Features Database](https://my.liquidandgrit.com/library/gallery).

### Querying data from the Features Database

#### REQUEST ENDPOINT

```
GET https://my.liquidandgrit.com/api/cnd/get
```

#### REQUEST ARGUMENTS

| Field                            | Type    | Description                                                                                                                                                                                                                                |
| -------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| client\_id (required)            | string  | Your client ID                                                                                                                                                                                                                             |
| api\_key (required)              | string  | Your API key                                                                                                                                                                                                                               |
| id (required)                    | integer | <p>The Data ID</p><p>1 = Features Database</p>                                                                                                                                                                                             |
| filters\[tag\_group\_data]       | boolean | <p>Flag to return tag group data<br>1 = True</p>                                                                                                                                                                                           |
| filters\[page]                   | integer | <p>Result page number<br>Default = 0</p>                                                                                                                                                                                                   |
| filters\[limit]                  | integer | <p>Number of rows to return<br>Default = 200<br>Maximum value = 200</p>                                                                                                                                                                    |
| filters\[date\_range\_published] | array   | <p>Filter on the date range published. Should be an array of two dates - the start and end<br>Example:<br>filters\[date\_range\_published]\[0] = '2024-01-01 00:00:00'<br>filters\[date\_range\_published]\[1] = '2024-01-01 23:59:59'</p> |
| filters\[date\_range\_added]     | array   | Filter on the date range modified                                                                                                                                                                                                          |

#### CURL REQUEST EXAMPLE

```powershell
curl --location --globoff 'https://my.liquidandgrit.com/api/cnd/get?client_id=your_cliend_id&api_key=your_api_key&id=1&filters[limit]=100&filters[date_range_published][0]=2024-01-01%2000%3A00%3A00&filters[date_range_published][1]=2024-01-10%2023%3A59%3A59' 
```

#### EXAMPLE RESPONSE

```json
{
    "success": true,
    "total": 43380,
    "page_total": 1,
    "page_index": 0,
    "results": [
        {
            "id": "49660",
            "version_id": "232237",
            "title": "Character Madness! - Tennis Clash",
            "subtitle": null,
            "excerpt": null,
            "author": "John Doe",
            "publish_date": {
                "date": "2024-01-01 11:11:11.000000",
                "timezone_type": 3,
                "timezone": "America/Los_Angeles"
            },
            "type": "2",
            "comment_count": null,
            "order_index": "0",
            "file_hash": null,
            "enabled": "1",
            "alternative_titles": "Character Madness 1,Character Madness 2",
            "image_node_id": "1137737",
            "default_image_id": "4741482",
            "default_image_actual_width": "225",
            "default_image_actual_height": "300",
            "default_image_size": "131068",
            "default_image_extension": "png",
            "default_image_credit": null,
            "default_image_caption": "",
            "default_image_added": "1676913777",
            "extension": "png",
            "default_image": "https://732c2069d187077d2b87-0063d8ca473f04bfd7f021ac67664965.ssl.cf2.rackcdn.com/8f7ba4f6a870bd4b06dfb9375b6b7860.png",
            "permalink": "https://my.liquidandgrit.com/library/gallery/character-madness-tennis-clash",
            "release_history": [
                {
                    "id": "3",
                    "alternative_title": "Character Madness 1",
                    "start_date": "2024-01-02 00:00:00",
                    "end_date": "2024-01-02 00:00:00"
                },
                {
                    "id": "4",
                    "alternative_title": "Character Madness 2",
                    "start_date": "2024-01-03 00:00:00",
                    "end_date": "2023-01-03 00:00:00"
                },
            ]
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.liquidandgrit.com/development/api-documentation/api-cnd-get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
